[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.MouseUp

Performs actions needed to handle a mouse button up message.

## Declaration

Source position: maskedit.pp line 300

`protected procedure TCustomMaskEdit.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the message.
`Shift` |  | Shift modifier for the message.
`X` |  | Horizontal coordinate for the mouse position.
`Y` |  | Vertical coordinate for the mouse position.

## Description

Calls the inherited MouseUp method. When a mask is used in the control, the cursor is moved to the beginning of the current selection in the control and SetCursorPos is called to update the caret position.

## See also

TCustomEdit.MouseUp |  | Handles mouse up events for the control.